org.eclipse.jdt.debug.core

## Interface IJavaType

All Superinterfaces:
  IAdaptable, IDebugElement

All Known Subinterfaces:
  IJavaArrayType, IJavaClassType, IJavaInterfaceType, IJavaReferenceType

    public interface IJavaType
    extends IDebugElement

The type of a value on a Java debug target - a primitive data type, class, interface, or array.

Since 3.2, an `IJavaType` is also a debug element

See Also:
  `IJavaValue`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the name of this type.
`String` `getSignature()` Returns the JNI-style signature for this type.

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getSignature

    String getSignature()
                 throws DebugException

Returns the JNI-style signature for this type.

Returns:
  signature
Throws:
  `DebugException` - if this method fails. Reasons include:
  - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

#### getName

    String getName()
            throws DebugException

Returns the name of this type. For example, `"java.lang.String"`.

Returns:
  the name of this type
Throws:
  `DebugException` - if this method fails. Reasons include:
  - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.